Last Comment Bug 726380 - "Assertion failure: !maybeShared()" with regexp.compile
: "Assertion failure: !maybeShared()" with regexp.compile
Status: RESOLVED FIXED
: crash, regression, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- critical (vote)
: mozilla13
Assigned To: Luke Wagner [:luke]
:
Mentors:
Depends on:
Blocks: 326633 724748
  Show dependency treegraph
 
Reported: 2012-02-11 18:37 PST by Jesse Ruderman
Modified: 2013-01-14 07:46 PST (History)
6 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (4.51 KB, patch)
2012-02-20 15:17 PST, Luke Wagner [:luke]
cdleary: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2012-02-11 18:37:46 PST
var r = /a/;
r.compile(r);

Assertion failure: !maybeShared(), at js/src/vm/RegExpObject.cpp:472

Regression from bug 724748.
Comment 1 Luke Wagner [:luke] 2012-02-20 15:17:21 PST
Created attachment 598986 [details] [diff] [review]
patch

Overzealous assert needs weakening.
Comment 3 Marco Bonardo [::mak] 2012-02-24 02:36:30 PST
https://hg.mozilla.org/mozilla-central/rev/a7f0048a58d3
Comment 4 Christian Holler (:decoder) 2013-01-14 07:46:35 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/testBug726380.js.

Note You need to log in before you can comment on or make changes to this bug.